%% Import data from text file.
% Script for importing data from the following text file:
%
%    H:\Reading\Writing\Dissertation\Dissertation Data\MAWI-20160428\160428_390-630_pp100ms.txt
%
% To extend the code to different selected data or a different text file,
% generate a function instead of a script.

% Auto-generated by MATLAB on 2018/05/18 17:00:27

clear;
%% Initialize variables.
filename = 'H:\Reading\Writing\Dissertation\Dissertation Data\MAWI-20160428\160428_390-630_pp100ms.txt';
delimiter = ',';
startRow = 3;

%% Format for each line of text:
%   column1: double (%f)
%	column2: double (%f)
%   column3: double (%f)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%f%f%f%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to the format.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'TextType', 'string', 'EmptyValue', NaN, 'HeaderLines' ,startRow-1, 'ReturnOnError', false, 'EndOfLine', '\r\n');

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Create output variable
pp100ms = table(dataArray{1:end-1}, 'VariableNames', {'Intervalstart','Allpackets','Allpackets1'});

%% Clear temporary variables
clearvars filename delimiter startRow formatSpec fileID dataArray ans;